# Generated from bunny-1.0.7.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name bunny
%global rubyabi 1.9.1

Summary: Popular easy to use Ruby client for RabbitMQ
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 1.0.7
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://rubybunny.info
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems) 
Requires: %{?scl_prefix}ruby 
Requires: %{?scl_prefix}rubygem(amq-protocol) >= 1.9.2
BuildRequires: %{?scl_prefix}rubygems-devel 
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Easy to use, feature complete Ruby client for RabbitMQ 2.0 and later versions.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0}
%{?scl:"}

# clean up a bunch of un-needed files:
# See https://github.com/ruby-amqp/bunny/issues/55
rm -f .%{gem_instdir}/{.gitignore,.rspec,.travis.yml,.yardopts}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%{gem_libdir}
%{gem_cache}
%{gem_spec}

%dir %{gem_instdir}
%dir %{gem_instdir}/benchmarks/*
%dir %{gem_instdir}/benchmarks/basic_publish/*

%{gem_instdir}/.ruby-version
%{gem_instdir}/bin/ci/before_build.sh
%{gem_instdir}/profiling/basic_publish/with_4K_messages.rb
%{gem_instdir}/repl

%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/ChangeLog.md
%doc %{gem_instdir}/README.md

%exclude %{gem_instdir}/Gemfile
%exclude %{gem_instdir}/spec

# Extraneous file, see https://github.com/ruby-amqp/bunny/issues/55
%exclude %{gem_instdir}/bunny.gemspec

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/examples

%changelog
* Mon Feb 17 2014 Joe VLcek<jvlcek@redhat.com> - 1.0.7-1
- Initial package
